package com.bonus.canteen.core.device.manage.model.metadata;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class ConsumTableAiUtensilMetadate extends BaseMetadate implements Serializable {
   @ApiModelProperty("启用混合支付 默认2   1启用2不启用")
   private String payMixture = "2";
   @ApiModelProperty("启用记账 默认2   1启用2不启用")
   private String payCharge = "2";
   @ApiModelProperty("同一个人特定时间(n秒)内不能重复支付 默认10")
   private String paySamePersonSameMoneyTime = "10";
   @ApiModelProperty("单笔消费最高金额  默认20000单位分")
   private String payOnceHighMoney = "20000";
   @ApiModelProperty("用户刷脸支付需二次确认 默认2   1启用2不启用")
   private String payFaceSecondConfirm = "2";
   @ApiModelProperty("支付需要收银员二次确认 默认2   1启用2不启用")
   private String paySecondConfirm = "2";
   @ApiModelProperty("允许离线使用 默认2   1允许2不允许")
   private String offlineAllow = "2";
   @ApiModelProperty("离线总金额  默认5000000单位分")
   private String offlineTotalMoney = "500000";
   @ApiModelProperty("离线总笔数  默认500")
   private String offlineTotalCount = "500";
   @ApiModelProperty("用户照片不显示 默认2   1显示2不显示")
   private String showNoPhoto = "2";
   @ApiModelProperty("用户余额不显示 默认1   1显示2不显示")
   private String showNoBalance = "1";
   @ApiModelProperty("红包余额不显示 默认2   1显示2不显示")
   private String showNoPersonBalance = "2";
   @ApiModelProperty("补贴余额不显示 默认2   1显示2不显示")
   private String showNoSubBalance = "2";
   @ApiModelProperty("冻结金额不显示 默认2   1显示2不显示")
   private String showNoFreezeBalance = "2";
   @ApiModelProperty("红包余额不显示 默认2  1显示2不显示")
   private String showNoRedBalance = "2";
   @ApiModelProperty("支付成功显示倒计时时间 默认3秒")
   private int showPaySuccessTime = 3;
   @ApiModelProperty("营养信息不显示 默认2   1显示2不显示")
   private String showNoNutrition = "2";
   @ApiModelProperty("支付成功提示音 默认1   空：无    1：成功  2：男声版支付成功   3女生版支付成功")
   private String voiceRemindSuccess = "1";
   @ApiModelProperty("支付失败提示音 默认1 空：无    1：失败  2：男声版支付失败   3女生版支付失败")
   private String voiceRemindFail = "1";
   @ApiModelProperty("计价或输入完成提示音 默认2   1有2无")
   private String voiceEnterSuccess = "2";
   @ApiModelProperty("生日提醒 默认2   1有2无")
   private String voiceBirthdayRemind = "2";
   @ApiModelProperty("卡  默认1 开启1  关闭2")
   private String identityCard = "1";
   @ApiModelProperty("码  默认1 开启1  关闭2")
   private String identityQR = "1";
   @ApiModelProperty("禁用微信   默认2    1禁用 2开启")
   private String identityWeChatNoAllow = "2";
   @ApiModelProperty("禁用支付宝   默认2    1禁用 2开启")
   private String identityAlipayNoAllow = "2";
   @ApiModelProperty("禁用云闪付   默认2    1禁用 2开启")
   private String identityUnionpayNoAllow = "2";
   @ApiModelProperty("禁用农行   默认2    1禁用 2开启")
   private String identityAbcpayNoAllow = "2";
   @ApiModelProperty("禁用工行   默认2    1禁用 2开启")
   private String identityICBCNoAllow = "2";
   @ApiModelProperty("脸    默认1 开启1  关闭2")
   private String identityFace = "1";
   @ApiModelProperty("打印  默认1  1是 2否")
   private String printIsor = "1";
   @ApiModelProperty("打印份数 默认1  ")
   private String printCount = "1";
   @ApiModelProperty("打印诺诺发票 默认2   1打印2不启打印")
   private String printNuonuo = "2";
   @ApiModelProperty("人脸识别分数 默认80")
   private String faceRecognitionScore = "80";
   @ApiModelProperty("人脸大小默认100")
   private String faceSize = "100";
   @ApiModelProperty("是否从时段菜谱获取菜品 默认2   1是 2否")
   private String readInRecipe;
   @ApiModelProperty(" 读卡器型号  1：USB读卡器，2：串口读卡器")
   private String cardReaderType = "1";
   @ApiModelProperty(" 是否开启键盘读卡器，1开启，2关闭，默认关闭")
   private String cardReaderKeyType = "2";
   @ApiModelProperty(" * 卡号转换规则    默认值 0\n     * 0,标准\n     * 1,卡号倒序(12345678->8654321)\n     * 2,\"读6位卡号(去尾)(12345678->123456)\"\n     * 3,\"读6位卡号(去头)(12345678->345678)\"\n     * 4,\"卡号10进制转16进制\"\n     * 5,\"16进制转10进制\"")
   private String ruleCardQRTran;
   @ApiModelProperty("叫号参数 默认2   1叫号2不叫号")
   private String callOrderPart = "2";

   public String getPayMixture() {
      return this.payMixture;
   }

   public String getPayCharge() {
      return this.payCharge;
   }

   public String getPaySamePersonSameMoneyTime() {
      return this.paySamePersonSameMoneyTime;
   }

   public String getPayOnceHighMoney() {
      return this.payOnceHighMoney;
   }

   public String getPayFaceSecondConfirm() {
      return this.payFaceSecondConfirm;
   }

   public String getPaySecondConfirm() {
      return this.paySecondConfirm;
   }

   public String getOfflineAllow() {
      return this.offlineAllow;
   }

   public String getOfflineTotalMoney() {
      return this.offlineTotalMoney;
   }

   public String getOfflineTotalCount() {
      return this.offlineTotalCount;
   }

   public String getShowNoPhoto() {
      return this.showNoPhoto;
   }

   public String getShowNoBalance() {
      return this.showNoBalance;
   }

   public String getShowNoPersonBalance() {
      return this.showNoPersonBalance;
   }

   public String getShowNoSubBalance() {
      return this.showNoSubBalance;
   }

   public String getShowNoFreezeBalance() {
      return this.showNoFreezeBalance;
   }

   public String getShowNoRedBalance() {
      return this.showNoRedBalance;
   }

   public int getShowPaySuccessTime() {
      return this.showPaySuccessTime;
   }

   public String getShowNoNutrition() {
      return this.showNoNutrition;
   }

   public String getVoiceRemindSuccess() {
      return this.voiceRemindSuccess;
   }

   public String getVoiceRemindFail() {
      return this.voiceRemindFail;
   }

   public String getVoiceEnterSuccess() {
      return this.voiceEnterSuccess;
   }

   public String getVoiceBirthdayRemind() {
      return this.voiceBirthdayRemind;
   }

   public String getIdentityCard() {
      return this.identityCard;
   }

   public String getIdentityQR() {
      return this.identityQR;
   }

   public String getIdentityWeChatNoAllow() {
      return this.identityWeChatNoAllow;
   }

   public String getIdentityAlipayNoAllow() {
      return this.identityAlipayNoAllow;
   }

   public String getIdentityUnionpayNoAllow() {
      return this.identityUnionpayNoAllow;
   }

   public String getIdentityAbcpayNoAllow() {
      return this.identityAbcpayNoAllow;
   }

   public String getIdentityICBCNoAllow() {
      return this.identityICBCNoAllow;
   }

   public String getIdentityFace() {
      return this.identityFace;
   }

   public String getPrintIsor() {
      return this.printIsor;
   }

   public String getPrintCount() {
      return this.printCount;
   }

   public String getPrintNuonuo() {
      return this.printNuonuo;
   }

   public String getFaceRecognitionScore() {
      return this.faceRecognitionScore;
   }

   public String getFaceSize() {
      return this.faceSize;
   }

   public String getReadInRecipe() {
      return this.readInRecipe;
   }

   public String getCardReaderType() {
      return this.cardReaderType;
   }

   public String getCardReaderKeyType() {
      return this.cardReaderKeyType;
   }

   public String getRuleCardQRTran() {
      return this.ruleCardQRTran;
   }

   public String getCallOrderPart() {
      return this.callOrderPart;
   }

   public void setPayMixture(final String payMixture) {
      this.payMixture = payMixture;
   }

   public void setPayCharge(final String payCharge) {
      this.payCharge = payCharge;
   }

   public void setPaySamePersonSameMoneyTime(final String paySamePersonSameMoneyTime) {
      this.paySamePersonSameMoneyTime = paySamePersonSameMoneyTime;
   }

   public void setPayOnceHighMoney(final String payOnceHighMoney) {
      this.payOnceHighMoney = payOnceHighMoney;
   }

   public void setPayFaceSecondConfirm(final String payFaceSecondConfirm) {
      this.payFaceSecondConfirm = payFaceSecondConfirm;
   }

   public void setPaySecondConfirm(final String paySecondConfirm) {
      this.paySecondConfirm = paySecondConfirm;
   }

   public void setOfflineAllow(final String offlineAllow) {
      this.offlineAllow = offlineAllow;
   }

   public void setOfflineTotalMoney(final String offlineTotalMoney) {
      this.offlineTotalMoney = offlineTotalMoney;
   }

   public void setOfflineTotalCount(final String offlineTotalCount) {
      this.offlineTotalCount = offlineTotalCount;
   }

   public void setShowNoPhoto(final String showNoPhoto) {
      this.showNoPhoto = showNoPhoto;
   }

   public void setShowNoBalance(final String showNoBalance) {
      this.showNoBalance = showNoBalance;
   }

   public void setShowNoPersonBalance(final String showNoPersonBalance) {
      this.showNoPersonBalance = showNoPersonBalance;
   }

   public void setShowNoSubBalance(final String showNoSubBalance) {
      this.showNoSubBalance = showNoSubBalance;
   }

   public void setShowNoFreezeBalance(final String showNoFreezeBalance) {
      this.showNoFreezeBalance = showNoFreezeBalance;
   }

   public void setShowNoRedBalance(final String showNoRedBalance) {
      this.showNoRedBalance = showNoRedBalance;
   }

   public void setShowPaySuccessTime(final int showPaySuccessTime) {
      this.showPaySuccessTime = showPaySuccessTime;
   }

   public void setShowNoNutrition(final String showNoNutrition) {
      this.showNoNutrition = showNoNutrition;
   }

   public void setVoiceRemindSuccess(final String voiceRemindSuccess) {
      this.voiceRemindSuccess = voiceRemindSuccess;
   }

   public void setVoiceRemindFail(final String voiceRemindFail) {
      this.voiceRemindFail = voiceRemindFail;
   }

   public void setVoiceEnterSuccess(final String voiceEnterSuccess) {
      this.voiceEnterSuccess = voiceEnterSuccess;
   }

   public void setVoiceBirthdayRemind(final String voiceBirthdayRemind) {
      this.voiceBirthdayRemind = voiceBirthdayRemind;
   }

   public void setIdentityCard(final String identityCard) {
      this.identityCard = identityCard;
   }

   public void setIdentityQR(final String identityQR) {
      this.identityQR = identityQR;
   }

   public void setIdentityWeChatNoAllow(final String identityWeChatNoAllow) {
      this.identityWeChatNoAllow = identityWeChatNoAllow;
   }

   public void setIdentityAlipayNoAllow(final String identityAlipayNoAllow) {
      this.identityAlipayNoAllow = identityAlipayNoAllow;
   }

   public void setIdentityUnionpayNoAllow(final String identityUnionpayNoAllow) {
      this.identityUnionpayNoAllow = identityUnionpayNoAllow;
   }

   public void setIdentityAbcpayNoAllow(final String identityAbcpayNoAllow) {
      this.identityAbcpayNoAllow = identityAbcpayNoAllow;
   }

   public void setIdentityICBCNoAllow(final String identityICBCNoAllow) {
      this.identityICBCNoAllow = identityICBCNoAllow;
   }

   public void setIdentityFace(final String identityFace) {
      this.identityFace = identityFace;
   }

   public void setPrintIsor(final String printIsor) {
      this.printIsor = printIsor;
   }

   public void setPrintCount(final String printCount) {
      this.printCount = printCount;
   }

   public void setPrintNuonuo(final String printNuonuo) {
      this.printNuonuo = printNuonuo;
   }

   public void setFaceRecognitionScore(final String faceRecognitionScore) {
      this.faceRecognitionScore = faceRecognitionScore;
   }

   public void setFaceSize(final String faceSize) {
      this.faceSize = faceSize;
   }

   public void setReadInRecipe(final String readInRecipe) {
      this.readInRecipe = readInRecipe;
   }

   public void setCardReaderType(final String cardReaderType) {
      this.cardReaderType = cardReaderType;
   }

   public void setCardReaderKeyType(final String cardReaderKeyType) {
      this.cardReaderKeyType = cardReaderKeyType;
   }

   public void setRuleCardQRTran(final String ruleCardQRTran) {
      this.ruleCardQRTran = ruleCardQRTran;
   }

   public void setCallOrderPart(final String callOrderPart) {
      this.callOrderPart = callOrderPart;
   }

}
